/// <reference types="node" />
import * as __aws_sdk_middleware_stack from '@aws-sdk/middleware-stack';
import * as __aws_sdk_types from '@aws-sdk/types';
import * as _stream from 'stream';
import { InputTypesUnion } from '../types/InputTypesUnion';
import { OutputTypesUnion } from '../types/OutputTypesUnion';
import { CreateAliasInput } from '../types/CreateAliasInput';
import { CreateAliasOutput } from '../types/CreateAliasOutput';
import { LambdaResolvedConfiguration } from '../LambdaConfiguration';
export declare class CreateAliasCommand implements __aws_sdk_types.Command<InputTypesUnion, CreateAliasInput, OutputTypesUnion, CreateAliasOutput, LambdaResolvedConfiguration, _stream.Readable> {
    readonly input: CreateAliasInput;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<CreateAliasInput, CreateAliasOutput, _stream.Readable>;
    constructor(input: CreateAliasInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: LambdaResolvedConfiguration): __aws_sdk_types.Handler<CreateAliasInput, CreateAliasOutput>;
}
