"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var GetAlias_1 = require("../model/GetAlias");
var GetAliasCommand = /** @class */ (function () {
    function GetAliasCommand(input) {
        this.input = input;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    GetAliasCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: GetAlias_1.GetAlias
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return GetAliasCommand;
}());
exports.GetAliasCommand = GetAliasCommand;
//# sourceMappingURL=GetAliasCommand.js.map