/// <reference types="node" />
import * as __aws_sdk_middleware_stack from '@aws-sdk/middleware-stack';
import * as __aws_sdk_types from '@aws-sdk/types';
import * as _stream from 'stream';
import { InputTypesUnion } from '../types/InputTypesUnion';
import { OutputTypesUnion } from '../types/OutputTypesUnion';
import { PutFunctionConcurrencyInput } from '../types/PutFunctionConcurrencyInput';
import { PutFunctionConcurrencyOutput } from '../types/PutFunctionConcurrencyOutput';
import { LambdaResolvedConfiguration } from '../LambdaConfiguration';
export declare class PutFunctionConcurrencyCommand implements __aws_sdk_types.Command<InputTypesUnion, PutFunctionConcurrencyInput, OutputTypesUnion, PutFunctionConcurrencyOutput, LambdaResolvedConfiguration, _stream.Readable> {
    readonly input: PutFunctionConcurrencyInput;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<PutFunctionConcurrencyInput, PutFunctionConcurrencyOutput, _stream.Readable>;
    constructor(input: PutFunctionConcurrencyInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: LambdaResolvedConfiguration): __aws_sdk_types.Handler<PutFunctionConcurrencyInput, PutFunctionConcurrencyOutput>;
}
