/// <reference types="node" />
import * as __aws_sdk_middleware_stack from '@aws-sdk/middleware-stack';
import * as __aws_sdk_types from '@aws-sdk/types';
import * as _stream from 'stream';
import { InputTypesUnion } from '../types/InputTypesUnion';
import { OutputTypesUnion } from '../types/OutputTypesUnion';
import { DeleteFunctionInput } from '../types/DeleteFunctionInput';
import { DeleteFunctionOutput } from '../types/DeleteFunctionOutput';
import { LambdaResolvedConfiguration } from '../LambdaConfiguration';
export declare class DeleteFunctionCommand implements __aws_sdk_types.Command<InputTypesUnion, DeleteFunctionInput, OutputTypesUnion, DeleteFunctionOutput, LambdaResolvedConfiguration, _stream.Readable> {
    readonly input: DeleteFunctionInput;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<DeleteFunctionInput, DeleteFunctionOutput, _stream.Readable>;
    constructor(input: DeleteFunctionInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: LambdaResolvedConfiguration): __aws_sdk_types.Handler<DeleteFunctionInput, DeleteFunctionOutput>;
}
