/// <reference types="node" />
import * as __aws_sdk_middleware_stack from '@aws-sdk/middleware-stack';
import * as __aws_sdk_types from '@aws-sdk/types';
import * as _stream from 'stream';
import { InputTypesUnion } from '../types/InputTypesUnion';
import { OutputTypesUnion } from '../types/OutputTypesUnion';
import { DeleteFunctionConcurrencyInput } from '../types/DeleteFunctionConcurrencyInput';
import { DeleteFunctionConcurrencyOutput } from '../types/DeleteFunctionConcurrencyOutput';
import { LambdaResolvedConfiguration } from '../LambdaConfiguration';
export declare class DeleteFunctionConcurrencyCommand implements __aws_sdk_types.Command<InputTypesUnion, DeleteFunctionConcurrencyInput, OutputTypesUnion, DeleteFunctionConcurrencyOutput, LambdaResolvedConfiguration, _stream.Readable> {
    readonly input: DeleteFunctionConcurrencyInput;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<DeleteFunctionConcurrencyInput, DeleteFunctionConcurrencyOutput, _stream.Readable>;
    constructor(input: DeleteFunctionConcurrencyInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: LambdaResolvedConfiguration): __aws_sdk_types.Handler<DeleteFunctionConcurrencyInput, DeleteFunctionConcurrencyOutput>;
}
