/// <reference types="node" />
import * as __aws_sdk_middleware_stack from '@aws-sdk/middleware-stack';
import * as __aws_sdk_types from '@aws-sdk/types';
import * as _stream from 'stream';
import { InputTypesUnion } from '../types/InputTypesUnion';
import { OutputTypesUnion } from '../types/OutputTypesUnion';
import { UpdateEventSourceMappingInput } from '../types/UpdateEventSourceMappingInput';
import { UpdateEventSourceMappingOutput } from '../types/UpdateEventSourceMappingOutput';
import { LambdaResolvedConfiguration } from '../LambdaConfiguration';
export declare class UpdateEventSourceMappingCommand implements __aws_sdk_types.Command<InputTypesUnion, UpdateEventSourceMappingInput, OutputTypesUnion, UpdateEventSourceMappingOutput, LambdaResolvedConfiguration, _stream.Readable> {
    readonly input: UpdateEventSourceMappingInput;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<UpdateEventSourceMappingInput, UpdateEventSourceMappingOutput, _stream.Readable>;
    constructor(input: UpdateEventSourceMappingInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: LambdaResolvedConfiguration): __aws_sdk_types.Handler<UpdateEventSourceMappingInput, UpdateEventSourceMappingOutput>;
}
